BizKitHub
DocsAPI ReferenceDrive/bff/drive/delete-permanently
postDriveAdmin BFF

/bff/drive/delete-permanently

Only items already in the trash. Items that became used meanwhile are restored instead.

DrivepostBffDriveDelete-permanently

Parameters

JSON body

Request body

application/json
filesstring[]Optional

Blob tokens.

foldersstring[]Optional

Folder external ids.

Response schema

1 status code documented

200Success
deletedFilesnumberRequired
deletedFoldersnumberRequired
restorednumberRequired

Response example

application/json
{
  "deletedFiles": 0,
  "deletedFolders": 0,
  "restored": 0
}

Request example

POST /bff/drive/delete-permanently

post
curl -X POST "https://api.bizkithub.com/bff/drive/delete-permanently" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "files": [
    "string"
  ],
  "folders": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key